Package fr.gouv.vitam.logbook.common.server.database.collections

# Class LogbookLifeCycleUnit

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<LogbookLifeCycle<LogbookLifeCycleUnitParameters>>
fr.gouv.vitam.logbook.common.server.database.collections.LogbookLifeCycle<LogbookLifeCycleUnitParameters>
fr.gouv.vitam.logbook.common.server.database.collections.LogbookLifeCycleUnit

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class LogbookLifeCycleUnit extends LogbookLifeCycle<LogbookLifeCycleUnitParameters>
Logbook LifeCycle Unit item

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookLifeCycleUnit()`
  use for jackson serialisation
  `LogbookLifeCycleUnit(com.fasterxml.jackson.databind.JsonNode content)`
  Constructor for Codec
  `LogbookLifeCycleUnit(LogbookLifeCycleUnitParameters parameters)`
  Constructor from LogbookLifeCycleUnitParameters
  `LogbookLifeCycleUnit(String content)`
  Constructor for Codec
  `LogbookLifeCycleUnit(org.bson.Document content)`
  Constructor for Codec

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VitamDocument<LogbookLifeCycle<LogbookLifeCycleUnitParameters>>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json

  ### Methods inherited from class fr.gouv.vitam.logbook.common.server.database.collections.LogbookLifeCycle

  `events, getId`

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Constructor Details

  - ### LogbookLifeCycleUnit

    public LogbookLifeCycleUnit()
    use for jackson serialisation

  - ### LogbookLifeCycleUnit

    public LogbookLifeCycleUnit(LogbookLifeCycleUnitParameters parameters)
    Constructor from LogbookLifeCycleUnitParameters
    Parameters:
      `parameters` - LogbookLifeCycleUnitParameters
    Throws:
      `IllegalArgumentException` - if argument is null

  - ### LogbookLifeCycleUnit

    public LogbookLifeCycleUnit(org.bson.Document content)
    Constructor for Codec
    Parameters:
      `content` - of format Document to create LogbookLifeCycleUnit

  - ### LogbookLifeCycleUnit

    public LogbookLifeCycleUnit(String content)
    Constructor for Codec
    Parameters:
      `content` - of format String to create LogbookLifeCycleUnit

  - ### LogbookLifeCycleUnit

    public LogbookLifeCycleUnit(com.fasterxml.jackson.databind.JsonNode content)
    Constructor for Codec
    Parameters:
      `content` - of format JsonNode to create LogbookLifeCycleUnit

- ## Method Details

  - ### newInstance

    public VitamDocument<LogbookLifeCycle<LogbookLifeCycleUnitParameters>> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Overrides:
      `newInstance` in class `LogbookLifeCycle<LogbookLifeCycleUnitParameters>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content